Website, Shop und Co.

Joomla! 3.8 – Update

Joomla! 3.7.4 – Update

Über eine zwölf Jahre alte Lücke in den Install-Routinen des Content Management Systems können Angreifer während der Installation die Software kapern. Das Joomla-Projekt empfiehlt, die CMS-Software schnellstens zu aktualisieren.

Die Entwickler des Content Management Systems (CMS) Joomla haben ein Update für ihre Software veröffentlicht, das unter anderem auch zwei Sicherheitslücken schließt. Das Joomla-Projekt schätzt die Priorität des Updates als „hoch“ ein und empfiehlt dringlich, dieses sofort einzuspielen.

Eine der Lücken steckt im Installer der Software. Genau beschreiben die Entwickler das Problem nicht, die Sicherheitslücke ermöglicht es Angreifern aber wohl, bei der Installation die Kontrolle über das CMS zu übernehmen. Das ist anscheinend möglich, weil der Installer nicht prüft, dass der Nutzer wirklich berechtigt ist, die Software auf dem Webspace zu installieren. So können Angreifer die Kontrolle übernehmen – allerdings nicht, wenn die Installation bereits abgeschlossen wurde. Die Lücke steckt seit Version 1.0.0 im Joomla-Code. Sie ist damit fast zwölf Jahre alt.

Für alle unsere Kunden wurde das Update bereits eingespielt.

Joomla! 3.7.3 – Update

Die stabele Version 3.7.3 von Joomla! wurde veröffentlicht. Diese Version enthält über 230 Fehlermeldungen und Verbesserungen gegenüber der vorherigen Version.

Für alle unsere Kunden wurde bereits das Update eingespielt.

Joomla! 3.7.1 Update

Neues Update für joomla! verfügbar.

Mit der Veröffentlichung von Joomla! 3.7.1 wird u.a. eine kritische Sicherheitslücke geschlossen.

Das Joomla Sicherheits-Team wurde über eine kritische Sicherheitslücke im Joomla! Core informiert. Es handelt sich um ein sehr wichtiges Sicherheitspatch!

Alle LB Kunden genießen den Vorteil unserer automatischen Updates!

PHP 7

Ende des aktiven Supports für PHP 5

Kritische Sicherheitslöcher in PHP 5.6 werden noch zwei Jahre lang bis Ende 2018 bearbeitet. Höchste Zeit an PHP 7 zu denken.
Version 6 der Skriptsprache wurde nie veröffentlicht, weil viele der vorgesehenen Funktionen bereits in andere Versionen eingeflossen sind oder als nicht realisierbar galten. PHP 7 sorgt für bessere Performance, kann aber vereinzelt auch zu Inkompatibilitäten mit bestehenden Anwendungen führen.

Konkurrenz belebt das Geschäft. Nachdem Facebook mit HipHop Virtual Machine eine alternative Laufzeitumgebung (samt PHP-Dialekt Hack) geschaffen hatte, mussten sich die Entwickler der Zend Engine etwas einfallen lassen. Herausgekommen ist (neben einer neuen Engine) eine neue PHP-Version, aus der einige ältere Funktionen und Schnittstellen komplett entfernt wurden. Die neue Generation ist damit deutlich performanter als ihre Vorgängerin. PHP-basierte Anwendungen wie Content-Management-Systeme und Shopsysteme laufen jetzt spürbar zügiger.

Was ändert sich in PHP 7?

PHP 7.0 bietet gegenüber PHP 5.6 erhebliche Performance-Steigerungen – in WordPress können z.B. bis zu doppelt so viele Anfragen pro Sekunde verarbeitet werden. Gleichzeitig wurde darauf geachtet dass die Abwärtskompatibilität hoch ist. Beinahe jede Applikation, die bereits mit PHP 5.6 funktionierte, soll auch unter PHP 7 lauffähig bleiben.

Sollten Sie Probleme mit Ihrer Software in PHP 7.0 feststellen oder sich nicht sicher sein ob es zu Funktionsstörungen kommen kann, wenden Sie sich bitte an uns.

Joomla! 3.7 – Stable

Nun ist es soweit: Joomla! 3.7 ist als Stable-Version verfügbar.

Über 700 Verbesserungen bringt die Version für das populäre CMS mit sich, inklusive vieler Funktionen, die die Verwaltung von Joomla! komfortabler machen.

Es wurden acht Security-Issues mit dem Status „Low Priority“ behoben, darunter XSS-Schwachstellen und ACL-Verletzungen.

Für alle LB Kunden wurde bereits das System auf den neusten Stand gebracht.

 

Durch die weitere Nutzung der Seite stimmen Sie der Verwendung von Cookies zu. Weitere Informationen

Die Cookie-Einstellungen auf dieser Website sind auf "Cookies zulassen" eingestellt, um das beste Surferlebnis zu ermöglichen. Wenn Sie diese Website ohne Änderung der Cookie-Einstellungen verwenden oder auf "Akzeptieren" klicken, erklären Sie sich damit einverstanden.

Schließen